# -*- coding: utf-8 -*-
"""Music and mental health final.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1W84vLy26zNiYfb9OGuK1eZ3Ms4yydngZ
"""

from google.colab import files
uploaded=files.upload()

#importing libraries
import matplotlib.pyplot as plt
import numpy as np
import pandas as pd

#creating functions
#choice 1
#which age group has highest listening hours
def age_hours():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Age","Hours per day"])
  df2=df1.sort_values(by=['Age'])
  df2
  #df3=df2.groupby('Age')['Hours per day'].mean()
  #df3
  class_intervals = [11,21, 31, 41, 51, 61,71,81,91]
  df2['Age'] = pd.cut(df2['Age'], bins=class_intervals, labels=['10-20','20-30', '30-40',
                                                          '40-50', '50-60','60-70','70-80','80-90'])
  df3= df2.groupby('Age')['Hours per day'].mean()
  df3.plot(kind='pie',y='Age')
  plt.legend(loc="best")
  plt.title("Hours spent by different age groups")
  plt.show()

#choice2
#fav genre
def fav_genre():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Fav genre"])
  df2=pd.DataFrame(df1)
  a=(df2['Fav genre'].value_counts())
  a.plot(kind="bar",color=["b","m"])
  plt.title("Favorite Genre")
  plt.show()

#choice 3
#most used app
def app_preferance():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Primary streaming service"])
  counting=(df1['Primary streaming service'].value_counts())
  counting.plot(kind="bar",color=["b","c"])
  plt.legend()
  plt.title("Favorite streaming service")

#choice4
#music at the time of work
def music_preferance():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["While working"])
  df2=pd.DataFrame(df1)
  a=(df2['While working'].value_counts())
  a.plot(kind="pie")
  plt.title("Preferance of music while working")

#choice6
#Improvement in depression by music
def depression():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Depression"])
  df2=pd.DataFrame(df1)
  a=(df2['Depression'].value_counts())
  a.plot(kind="pie")
  plt.title("Effectiveness of music on depression")

#choice5
#Anxiety
def anxiety():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Anxiety"])
  df2=pd.DataFrame(df1)
  b=(df2['Anxiety'].value_counts())
  b.plot(kind="barh")
  plt.legend()
  plt.title("Effectiveness of music on anxiety")

#choice7
#Insomnia
def insomnia():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Insomnia"])
  df2=pd.DataFrame(df1)
  c=(df2['Insomnia'].value_counts())
  c.plot(kind="pie")
  plt.title("Effectiveness of music on insomnia")

#choice 8
#OCD
def ocd():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["OCD"])
  df2=pd.DataFrame(df1)
  d=(df2['OCD'].value_counts())
  d.plot(kind="bar")
  plt.legend()
  plt.title("Effectiveness of music on ocd")

#choice9
#people's opinion on effectiveness of music
def music_effect():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Music effects"])
  df2=pd.DataFrame(df1)
  counts=(df2['Music effects'].value_counts())
  counts.plot(kind='pie')
  plt.title("Population's opinion on effectiveness of music")

#creating the menu
name=input("Enter your name----->")

print("\nGreetings",name,"\nSelect a number from the following menu ")
print('''\n1.Display the age group that has highest listening hours
2.Display favorite music genre
3.Display population preferance of streaming service
4.Display the population that prefer music while working
5.Display effectiveness of music on anxiety
6.Display effectiveness of music on depression
7.Display effectiveness of music on insomnia
8.Display effectiveness of music on OCD
9.Display population's opinion on whether music improve/worsen respondent's mental health conditions?''')

choice=int(input("\nEnter your choice"))
if choice==1:
  age_hours()
elif choice==2:
  fav_genre()
elif choice==2:
  fav_genre()
elif choice==3:
  app_preferance()
elif choice==4:
  music_preferance()
elif choice==5:
  anxiety()
elif choice==6:
  depression()
elif choice==7:
  insomnia()
elif choice==8:
  ocd()
elif choice==9:
  music_effect()
else:
  print("please choose a valid number")

#choice 3
#most used app
def app_preferance():
  df1=pd.read_csv("mxmh_survey_results.csv",usecols=["Primary streaming service"])
  counting=(df1['Primary streaming service'].value_counts())
  counting.plot(kind="bar",color=["b","c"])
  plt.title("Streaming service preferance")

app_preferance()